# Record TCefLayout

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefLayout = record`

## Description

A Layout handles the sizing of the children of a Panel according to implementation-specific heuristics. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefLayout.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_layout_capi.h">CEF source file: /include/capi/views/cef_layout_capi.h (cef_layout_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `as_box_layout: function(self: PCefLayout): PCefBoxLayout; stdcall;`
| `as_fill_layout: function(self: PCefLayout): PCefFillLayout; stdcall;`
| `is_valid: function(self: PCefLayout): Integer; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `as_box_layout: function(self: PCefLayout): PCefBoxLayout; stdcall;`
This item has no description.

| `as_fill_layout: function(self: PCefLayout): PCefFillLayout; stdcall;`
This item has no description.

| `is_valid: function(self: PCefLayout): Integer; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.